#include <QCoreApplication>
//#include <QDBusInterface>
//#include <QDBusReply>
#include <gtest/gtest.h>

#include "../src/settings-common/settingscommon.h"
#include "../src/touchpad-settings/touchpaddevicehelper.h"


//TEST(settingsTest,settingsCommonTest){
//    EXPECT_TRUE(SettingsCommon::isMaxTabletSystemCategory());
//    EXPECT_TRUE(SettingsCommon::isTabletProductFeat());
//    EXPECT_TRUE(SettingsCommon::isIntelProject());
//    EXPECT_TRUE(SettingsCommon::isWaylandEnv());
//}

//TEST(tpdTest,touchadTest){
//    bool waylandCap = SettingsCommon::isWaylandEnv() && TouchpadDeviceHelper::hasTouchpadOnWayland();
//    bool x11Cap = (!SettingsCommon::isWaylandEnv()) && TouchpadDeviceHelper::hasTouchpadOnX11();
//    EXPECT_EQ(TouchpadDeviceHelper::hasTouchPad(), waylandCap&&x11Cap);
//}


int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    EXPECT_TRUE(SettingsCommon::isMaxTabletSystemCategory());
    EXPECT_TRUE(SettingsCommon::isTabletProductFeat());
    EXPECT_TRUE(SettingsCommon::isIntelProject());
    EXPECT_TRUE(SettingsCommon::isWaylandEnv());

    bool waylandCap = SettingsCommon::isWaylandEnv() && TouchpadDeviceHelper::hasTouchpadOnWayland();
    bool x11Cap = (!SettingsCommon::isWaylandEnv()) && TouchpadDeviceHelper::hasTouchpadOnX11();
    EXPECT_EQ(TouchpadDeviceHelper::hasTouchPad(), waylandCap | x11Cap);

    return 0;



//    testing::InitGoogleTest(&argc, argv);

//    return RUN_ALL_TESTS();
}
